package com.tuoheng.common.core.config.common;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class CommonConfig {

    /**
     * 图片域名
     */
    public static String imageURL;

    /**
     * OSS域名
     */
    public static String ossURL;

    /**
     * 视频域名
     */
    public static String videoURL;

    /**
     * 高德KEY
     */
    public static String gaodeKey;

    /**
     * 通道地址
     */
    public static String channelUrl;

    /**
     * 飞手平台URL
     */
    public static String pilotURL;

    /**
     * oidc地址
     */
    public static String oidcUrl;

    /**
     * 机场地址
     */
    public static String airportURL;

    /**
     * 图片域名赋值
     *
     * @param url 域名地址
     */
    @Value("${tuoheng.image-url}")
    public void setImageURL(String url) {
        imageURL = url;
    }

    /**
     * 阿里云OSS域名
     *
     * @param url 图片地址
     */
    @Value("${tuoheng.oss-url:}")
    public void setOssURL(String url) {
        ossURL = url;
    }

    /**
     * 视频域名赋值
     *
     * @param url 域名地址
     */
    @Value("${tuoheng.video-url:}")
    public void setVideoURL(String url) {
        videoURL = url;
    }

    /**
     * 高德KEY赋值
     *
     * @param key 高德KEY
     */
    @Value("${tuoheng.gaodeKey:}")
    public void setGaodeKey(String key) {
        gaodeKey = key;
    }

    /**
     * 通道域名赋值
     *
     * @param url 通道地址
     */
    @Value("${tuoheng.live-channel-domain-url:}")
    public void setChannelUrl(String url) {
        channelUrl = url;
    }

    /**
     * 飞手平台
     * @param url 不同环境对应不同的url
     */
    @Value("${tuoheng.pilot-url}")
    public void setPilotURL(String url) {
        pilotURL = url;
    }

    /**
     * OICD平台
     * @param url 不同环境对应不同的url
     */
    @Value("${tuoheng.oidc-url}")
    public void setOidcUrlL(String url) {
        oidcUrl = url;
    }

    /**
     * 机场url
     * @param url
     */
    @Value("${tuoheng.airport-url}")
    public void airportURL(String url) {
        airportURL = url;
    }

}
