package com.tuoheng.admin;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.web.servlet.MultipartAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication(scanBasePackages = {"com.tuoheng.*"}, exclude = {MultipartAutoConfiguration.class})
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.tuoheng")
@MapperScan("com.tuoheng.**.**.mapper")
@EnableAsync
public class THAdminApplication {

    public static void main(String[] args) {
        SpringApplication.run(THAdminApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  大气监测微服务【业务服务】启动成功   ლ(´ڡ`ლ)ﾞ");
    }

}
