package com.tuoheng.admin.controller;

import com.tuoheng.admin.entity.domain.AirData;
import com.tuoheng.admin.service.airData.IAirDataService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/5/23
 */
@Slf4j
@RestController
@RequestMapping("/airData")
public class AirDataController {

    @Autowired
    private IAirDataService airDataService;

    /**
     * 根据任务id获取大气数据列表
     * @param id
     * @return
     */
    @GetMapping("/list/{id}")
    public List<AirData> getList(@PathVariable("id") String id){
        return airDataService.getAirDataList(id);
    }

}
