package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2023/5/22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_air_data")
public class AirData extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 巡检任务ID
     */
    private String inspectionId;

    /**
     * 卫星编号
     */
    private Integer sateNum;

    /**
     * 序号
     */
    private Integer sequence;

    /**
     * 序列号
     */
    private String serial;

    /**
     * 高度
     */
    private String altitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 温度
     */
    private String temperature;

    /**
     * 湿度
     */
    private String humidity;

    /**
     * 水平精度因子
     */
    private String hdop;

    /**
     * 大气压
     */
    private String pressure;

    /**
     * UTC时间
     */
    private String cUtcTime;

    /**
     * 氯气(单位ppm)
     */
    private String cl2;

    /**
     * 一氧化碳(单位ppm)
     */
    private String c0;

    /**
     * 二氧化碳(单位ppm)
     */
    private String c02;

    /**
     * 碳氢化合物(单位%)
     */
    private String cxhy;

    /**
     * 氢气(单位ppm)
     */
    private String h2;

    /**
     * 硫化氢(单位ppm)
     */
    private String h2s;

    /**
     * 氯化氢(单位ppm)
     */
    private String hcl;

    /**
     * 氰化氢(单位ppm)
     */
    private String hcn;

    /**
     * 氨气(单位ppm)
     */
    private String nh3;

    /**
     * 邻二甲苯(单位ppm)
     */
    private String ox;

    /**
     * 磷化氢(单位ppm)
     */
    private String ph3;

    /**
     * PM1.0(单位ug/m3)
     */
    private String pm_1_0;

    /**
     *PM10(单位ug/m3)
     */
    private String pm_10;

    /**
     *PM2.5(单位ug/m3)
     */
    private String pm_2_5;

    /**
     *二氧化硫(单位ppm)
     */
    private String so2;

    /**
     *磷酸三钠(单位mg/m3)
     */
    private String tsp;

    /**
     *挥发性有机物(单位ppm)
     */
    private String vocs;

    /**
     * WR二氧化硫(单位ppm)
     */
    private String wrSo2;

    /**
     * 二氧化氮(单位ppm)
     */
    private String n02;




























}
