package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/12/1
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_flight_data")
public class FlightData extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检任务ID
     */
    private String inspectionId;

     /**
      *租户id
     */
    private String tenantId;

    /**
     * 云盒SN号
     */
    private String boxSn;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 海拔高度
     */
    private String altitude;

    /**
     * 相对高度
     */
    private String ultrasonic;

    /**
     * 俯仰角
     */
    private String pitch;

    /**
     * 横滚角
     */
    private String roll;

    /**
     * 航向角
     */
    private String yaw;

    /**
     * 空速
     */
    private String airspeed;

    /**
     * 地速
     */
    private String velocity;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     * 是否是SRT文件数据，1是
     */
    private Integer isSrt;

    /**
     * GPS信号强度
     */
    private String gpssingal;

    /**
     * 无人机当前水平速度
     */
    private String hspeed;

    /**
     * 无人机当前海拔高度
     */
    private String alt;

    /**
     * 遥感信号
     */
    private String ysingal;

    /**
     * 遥测信号
     */
    private String tsingal;

    /**
     * 电池电压
     */
    private String voltage;

    /**
     * 机场距离
     */
    private String distToHome;

    /**
     * 总里程
     */
    private String mileage;

    /**
     * 飞行时间
     */
    private Integer flyTime;

}
