package com.tuoheng.admin.entity.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 系统菜单表
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
@Data
@Accessors(chain = true)
@TableName("op_menus")
public class Menu {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 父级ID
     */
    private Integer parentId;

    /**
     * 菜单名称
     */
    private String name;
    /**
     * 菜单所属client
     */
    private String clientId;
    /**
     * 页面跳转方式
     */
    private String target;
    /**
     * 图标
     */
    private String menuIcon;
    /**
     * 菜单路径
     */
    private String path;

    /**
     * 菜单组件
     */
    private String component;
    /**
     * 1正常 2禁用
     */
    private Integer status;

    /**
     * 0：显示；1：隐藏
     */
    private Integer isHidden;

    /**
     * 显示顺序
     */
    private Integer sort;

    /**
     * 添加人
     */
    private String createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;

    /**
     * 子级菜单
     */
    @TableField(exist = false)
    private List<Menu> children;

    /**
     * 是否选中
     */
    @TableField(exist = false)
    private boolean checked;

    /**
     * 是否打开
     */
    @TableField(exist = false)
    private boolean open;

    /**
     * 权限节点参数
     */
    @TableField(exist = false)
    private Integer[] checkedList;

}
