package com.tuoheng.admin.entity.vo.airData;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2023/5/24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
@Accessors(chain = true)
public class AirDataExcelVo {

    /**
     * 采样点时间
     */
    @ExcelProperty(value = {"项目名称: ","采样点时间"},index = 0)
    private String cUtcTime;

    /**
     * 相对高度
     */
    @ExcelProperty(value = {"项目名称:  监测单位:","相对高度m"},index = 1)
    private String altitude;

    /**
     * 经度
     */
    @ExcelProperty(value = {"经度"},index = 2)
    private String longitude;

    /**
     * 纬度
     */
    @ExcelProperty(value = {"纬度"},index = 3)
    private String latitude;

    /**
     * 温度
     */
    @ExcelProperty(value = {"温度°C"},index = 4)
    private String temperature;

    /**
     * 湿度
     */
    @ExcelProperty(value = {"湿度%"},index = 5)
    private String humidity;

    /**
     * 大气压
     */
    @ExcelProperty(value = {"气压Pa"},index = 6)
    private String pressure;

    /**
     *挥发性有机物(单位ppm)
     */
    @ExcelProperty(value = {"VOCs ppm"},index = 7)
    private String vocs;

    /**
     *二氧化硫(单位ppm)
     */
    @ExcelProperty(value = {"SO2 ppd"},index = 8)
    private String so2;

    /**
     * 一氧化碳(单位ppm)
     */
    @ExcelProperty(value = {"CO ppm"},index = 9)
    private String c0;

    /**
     * 二氧化氮(单位ppm)
     */
    @ExcelProperty(value = {"NO2 ppb"},index = 10)
    private String n02;

    /**
     * o3+NO2
     */
    @ExcelProperty(value = {"o3+NO2 ppm"},index = 11)
    private String ox;

    /**
     * PM1.0(单位ug/m3)
     */
    @ExcelProperty(value = {"PM1.0 ug/m3"},index = 12)
    private String pm10;

    /**
     *PM2.5(单位ug/m3)
     */
    @ExcelProperty(value = {"PM2.5 ug/m3"},index = 13)
    private String pm_2_5;

    /**
     *PM10(单位ug/m3)
     */
    @ExcelProperty(value = {"PM10 ug/m3"},index = 14)
    private String pm_10;

    /**
     * 设备序列号
     */
    @ExcelProperty(value = {"设备序列号"},index = 15)
    private String serial;



}
