package com.tuoheng.admin.entity.vo.inspection;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.admin.entity.domain.InspectionHistory;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 *  返回任务详情视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-30
 */
@Data
public class InspectionDetailsVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 巡检任务名称
     */
    private String name;

    /**
     * 巡检任务类型 1 临时巡检
     */
    private Integer type;

    /**
     * 巡检方式类型 1 无人机 2机场巡逻 3飞手值飞
     */
    private Integer inspectionType;

    /**
     * 巡检机场名称
     */
    private String airportName;

    /**
     * 巡检线路名称
     */
    private String inspectionLineName;

    /**
     * 是否实时，1：实时  2：离线  默认：null
     */
    private Integer isLive;

    /**
     * 任务状态 5任务待飞行 7飞行失败 10任务飞行中 15任务飞行完成
     */
    private Integer status;

    /**
     * 飞行设备名称
     */
    private String equipmentName;

    /**
     * 挂载设备名称(多选逗号","分隔)
     */
    private String equipmentMountName;

    /**
     * 巡检时天气情况
     */
    private String weather;

    /**
     * 计划巡检日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inspectionTime;

    /**
     * 执行开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 执行结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionEndTime;

    /**
     * 飞行时间
     */
    private String flyTime;

    /**
     * 飞行里程
     */
    private String mileage;

    /**
     * 备注
     */
    private String note;

    /**
     * 飞行失败数据
     */
    private List<InspectionHistory> inspectionHistoryList;

}
