package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.dto.UserRoleDto;
import com.tuoheng.admin.entity.domain.Role;
import com.tuoheng.admin.entity.domain.UserRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 人员角色表 Mapper 接口
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
public interface UserRoleMapper extends BaseMapper<UserRole> {

    /**
     * 根据用户ID获取角色
     *
     * @param userId 用户ID
     * @return
     */
    List<Role> getRolesByUserId(String userId);

    /**
     * 根据角色获取用户ID
     *
     *
     * @param roleId 角色ID
     * @return
     */
    List<String> getUsersByURoleId(@Param("roleId") String roleId);

    List<UserRoleDto> getListByRoleId(@Param("roleId") Integer roleId,@Param("tenantId") String tenantId);
}
