package com.tuoheng.admin.service.airData;

import com.tuoheng.admin.entity.domain.AirData;
import com.tuoheng.admin.mapper.AirDataMapper;
import com.tuoheng.admin.service.airData.query.QueryAirDataListService;
import com.tuoheng.common.core.common.BaseServiceImpl;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/5/23
 */
@Service
@Slf4j
public class AirDataServiceImpl extends BaseServiceImpl<AirDataMapper, AirData> implements IAirDataService {

    @Autowired
    private QueryAirDataListService queryAirDataListService;


    /**
     * 根据任务id获取大气数据列表
     * @param id
     * @return
     */
    @Override
    public List<AirData> getAirDataList(String id) {
        return queryAirDataListService.list(id);
    }
}
